oVirt Network selection doesn't select the right network during building host
02/08/2016 04:07 AM - Diego Michelotto

Status: Duplicate
Priority: Urgent
Assignee:
Description

Dear Foreman Team,
| have a problem during the building of an oVirt host from foreman web interface.

| have different network defined in my oVirt Datacenter as you can see in the next screenshot.

Hame Data Center Description Role VLAHN tag Label
cloudadmin Testhed cloudadmin @ 1096

cloudpub Testbed cloudpub = 96

ocpadmin Testhed ocpadmin @ 1098

ocpdata Testhed ocpdata @ 3098

ocpmgmt Testhed ocpmgmt @ 2098

ocppub Testhbed ocppub = 98

ovirtmgmt Testhed Management Metwork W m

When | try to create a new host from Foreman, during the interface configuration | see all the networks, as you can see in the next
screenshot.
If | select a network that aren't the first suggested (the first suggested is cloudadmin) for example ocpadmin and | save it, when |
reopen the interface configuration form all is OK (is selected ocpadmin in the dropdown menu). After the other configuration | submit
the host creation. The result is a new host created on oVirt with a network interface configured with cloudadmin network that are the
first suggested in the network dropdown menu. As you can see in the next screenshot.
If | edit the new host and open the interface configuration form | found cloudadmin as selected item in the network dropdown menu
as you can see in the next screenshot.

oVirt

Name nicl
As test | tried to create a new host with the hammer cli and | can create a new host successfully with the correct network
configuration.

For these reason | think there are some problems in the network configuration form.
Note: | have an old istance of Foreman (1.7.3) and | don't have this problem.

foreman 1.9.3, 1.10 and 1.10.1
oVirt 3.5.5

| already submitted this ticket but it was assigne to Computer resources -oVirt but | think this bug interest the web interface
This bug is blocking for us, | try to debug the problem but | don't find anything

Best regards.
Diego

Related issues:
Copied from Foreman - Bug #13179: oVirt Network selection doesn't select the ... Closed 01/13/2016

History

#1 - 02/08/2016 04:07 AM - Diego Michelotto
- Copied from Bug #13179: oVirt Network selection doesn't select the right network during building host added

#2 - 02/08/2016 04:07 AM - Dominic Cleal

- Status changed from New to Duplicate

The categorisation isn't terribly important, please don't duplicate the bug needlessly.

#3 - 02/08/2016 04:18 AM - Diego Michelotto

Hi Dominic,

how can | report that the bug is also present in the latest version of foreman if | opened a ticket previously?
The resolution of this bug can be included in the next release of foreman?

Diego

#4 - 02/08/2016 04:21 AM - Dominic Cleal

If you need to report that it's still valid, just add a comment to the existing ticket.
A fix can only be released when it's written, there isn't one yet. If you have one to contribute, please follow http://theforeman.org/contribute.html.
